﻿<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="csDataSet" targetNamespace="http://tempuri.org/csDataSet.xsd" xmlns:mstns="http://tempuri.org/csDataSet.xsd" xmlns="http://tempuri.org/csDataSet.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="1" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="MySettings" AppSettingsPropertyName="WixMasterConnectionString" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Public" Name="WixMasterConnectionString (MySettings)" ParameterPrefix="@" PropertyReference="ApplicationSettings.QODControlSheet.My.MySettings.GlobalReference.Default.WixMasterConnectionString" Provider="System.Data.SqlClient" />
          <Connection AppSettingsObjectName="MySettings" AppSettingsPropertyName="OasysConnectionString" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="OasysConnectionString (MySettings)" ParameterPrefix="@" PropertyReference="ApplicationSettings.QODControlSheet.My.MySettings.GlobalReference.Default.OasysConnectionString" Provider="System.Data.SqlClient" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="QODControlSheet.TPWickes.TPWickesEnhancedDataAdaptor" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="CORHDRTableAdapter" GeneratorDataComponentClassName="CORHDRTableAdapter" Name="CORHDR" UserDataComponentName="CORHDRTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="OasysConnectionString (MySettings)" DbObjectName="Oasys.dbo.CORHDR" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM [CORHDR] WHERE (([NUMB] = @Original_NUMB) AND ((@IsNull_CUST = 1 AND [CUST] IS NULL) OR ([CUST] = @Original_CUST)) AND ((@IsNull_DATE1 = 1 AND [DATE1] IS NULL) OR ([DATE1] = @Original_DATE1)) AND ((@IsNull_DELD = 1 AND [DELD] IS NULL) OR ([DELD] = @Original_DELD)) AND ((@IsNull_CANC = 1 AND [CANC] IS NULL) OR ([CANC] = @Original_CANC)) AND ([DELI] = @Original_DELI) AND ([DELC] = @Original_DELC) AND ((@IsNull_AMDT = 1 AND [AMDT] IS NULL) OR ([AMDT] = @Original_AMDT)) AND ((@IsNull_ADDR1 = 1 AND [ADDR1] IS NULL) OR ([ADDR1] = @Original_ADDR1)) AND ((@IsNull_ADDR2 = 1 AND [ADDR2] IS NULL) OR ([ADDR2] = @Original_ADDR2)) AND ((@IsNull_ADDR3 = 1 AND [ADDR3] IS NULL) OR ([ADDR3] = @Original_ADDR3)) AND ((@IsNull_ADDR4 = 1 AND [ADDR4] IS NULL) OR ([ADDR4] = @Original_ADDR4)) AND ((@IsNull_PHON = 1 AND [PHON] IS NULL) OR ([PHON] = @Original_PHON)) AND ([PRNT] = @Original_PRNT) AND ((@IsNull_RPRN = 1 AND [RPRN] IS NULL) OR ([RPRN] = @Original_RPRN)) AND ((@IsNull_REVI = 1 AND [REVI] IS NULL) OR ([REVI] = @Original_REVI)) AND ((@IsNull_MVST = 1 AND [MVST] IS NULL) OR ([MVST] = @Original_MVST)) AND ((@IsNull_DCST = 1 AND [DCST] IS NULL) OR ([DCST] = @Original_DCST)) AND ((@IsNull_QTYO = 1 AND [QTYO] IS NULL) OR ([QTYO] = @Original_QTYO)) AND ((@IsNull_QTYT = 1 AND [QTYT] IS NULL) OR ([QTYT] = @Original_QTYT)) AND ((@IsNull_QTYR = 1 AND [QTYR] IS NULL) OR ([QTYR] = @Original_QTYR)) AND ((@IsNull_WGHT = 1 AND [WGHT] IS NULL) OR ([WGHT] = @Original_WGHT)) AND ((@IsNull_VOLU = 1 AND [VOLU] IS NULL) OR ([VOLU] = @Original_VOLU)) AND ((@IsNull_SDAT = 1 AND [SDAT] IS NULL) OR ([SDAT] = @Original_SDAT)) AND ((@IsNull_STIL = 1 AND [STIL] IS NULL) OR ([STIL] = @Original_STIL)) AND ((@IsNull_STRN = 1 AND [STRN] IS NULL) OR ([STRN] = @Original_STRN)) AND ((@IsNull_RDAT = 1 AND [RDAT] IS NULL) OR ([RDAT] = @Original_RDAT)) AND ((@IsNull_RTIL = 1 AND [RTIL] IS NULL) OR ([RTIL] = @Original_RTIL)) AND ((@IsNull_RTRN = 1 AND [RTRN] IS NULL) OR ([RTRN] = @Original_RTRN)) AND ((@IsNull_MOBP = 1 AND [MOBP] IS NULL) OR ([MOBP] = @Original_MOBP)) AND ((@IsNull_POST = 1 AND [POST] IS NULL) OR ([POST] = @Original_POST)) AND ((@IsNull_NAME = 1 AND [NAME] IS NULL) OR ([NAME] = @Original_NAME)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@Original_NUMB" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="NUMB" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CUST" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CUST" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@Original_CUST" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="CUST" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_DATE1" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="DATE1" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Date" Direction="Input" ParameterName="@Original_DATE1" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="DATE1" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_DELD" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="DELD" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Date" Direction="Input" ParameterName="@Original_DELD" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="DELD" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CANC" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CANC" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@Original_CANC" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="CANC" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Original_DELI" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="DELI" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Original_DELC" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="DELC" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_AMDT" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="AMDT" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@Original_AMDT" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="AMDT" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_ADDR1" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ADDR1" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@Original_ADDR1" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="ADDR1" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_ADDR2" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ADDR2" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@Original_ADDR2" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="ADDR2" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_ADDR3" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ADDR3" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@Original_ADDR3" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="ADDR3" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_ADDR4" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ADDR4" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@Original_ADDR4" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="ADDR4" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_PHON" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="PHON" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@Original_PHON" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="PHON" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Original_PRNT" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="PRNT" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_RPRN" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="RPRN" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Original_RPRN" Precision="3" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="RPRN" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_REVI" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="REVI" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Original_REVI" Precision="3" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="REVI" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_MVST" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="MVST" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Original_MVST" Precision="9" ProviderType="Decimal" Scale="2" Size="0" SourceColumn="MVST" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_DCST" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="DCST" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Original_DCST" Precision="9" ProviderType="Decimal" Scale="2" Size="0" SourceColumn="DCST" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_QTYO" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="QTYO" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Original_QTYO" Precision="7" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="QTYO" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_QTYT" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="QTYT" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Original_QTYT" Precision="7" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="QTYT" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_QTYR" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="QTYR" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Original_QTYR" Precision="7" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="QTYR" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_WGHT" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="WGHT" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Original_WGHT" Precision="7" ProviderType="Decimal" Scale="2" Size="0" SourceColumn="WGHT" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_VOLU" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="VOLU" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Original_VOLU" Precision="7" ProviderType="Decimal" Scale="2" Size="0" SourceColumn="VOLU" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_SDAT" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="SDAT" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Date" Direction="Input" ParameterName="@Original_SDAT" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="SDAT" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_STIL" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="STIL" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@Original_STIL" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="STIL" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_STRN" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="STRN" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@Original_STRN" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="STRN" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_RDAT" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="RDAT" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Date" Direction="Input" ParameterName="@Original_RDAT" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="RDAT" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_RTIL" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="RTIL" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@Original_RTIL" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="RTIL" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_RTRN" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="RTRN" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@Original_RTRN" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="RTRN" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_MOBP" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="MOBP" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@Original_MOBP" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="MOBP" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_POST" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="POST" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@Original_POST" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="POST" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_NAME" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="NAME" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@Original_NAME" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="NAME" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO [CORHDR] ([NUMB], [CUST], [DATE1], [DELD], [CANC], [DELI], [DELC], [AMDT], [ADDR1], [ADDR2], [ADDR3], [ADDR4], [PHON], [PRNT], [RPRN], [REVI], [MVST], [DCST], [QTYO], [QTYT], [QTYR], [WGHT], [VOLU], [SDAT], [STIL], [STRN], [RDAT], [RTIL], [RTRN], [MOBP], [POST], [NAME]) VALUES (@NUMB, @CUST, @DATE1, @DELD, @CANC, @DELI, @DELC, @AMDT, @ADDR1, @ADDR2, @ADDR3, @ADDR4, @PHON, @PRNT, @RPRN, @REVI, @MVST, @DCST, @QTYO, @QTYT, @QTYR, @WGHT, @VOLU, @SDAT, @STIL, @STRN, @RDAT, @RTIL, @RTRN, @MOBP, @POST, @NAME);
SELECT NUMB, CUST, DATE1, DELD, CANC, DELI, DELC, AMDT, ADDR1, ADDR2, ADDR3, ADDR4, PHON, PRNT, RPRN, REVI, MVST, DCST, QTYO, QTYT, QTYR, WGHT, VOLU, SDAT, STIL, STRN, RDAT, RTIL, RTRN, MOBP, POST, NAME FROM CORHDR WHERE (NUMB = @NUMB)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@NUMB" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="NUMB" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@CUST" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="CUST" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Date" Direction="Input" ParameterName="@DATE1" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="DATE1" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Date" Direction="Input" ParameterName="@DELD" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="DELD" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@CANC" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="CANC" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@DELI" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="DELI" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@DELC" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="DELC" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@AMDT" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="AMDT" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@ADDR1" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="ADDR1" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@ADDR2" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="ADDR2" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@ADDR3" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="ADDR3" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@ADDR4" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="ADDR4" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@PHON" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="PHON" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@PRNT" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="PRNT" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@RPRN" Precision="3" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="RPRN" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@REVI" Precision="3" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="REVI" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@MVST" Precision="9" ProviderType="Decimal" Scale="2" Size="0" SourceColumn="MVST" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@DCST" Precision="9" ProviderType="Decimal" Scale="2" Size="0" SourceColumn="DCST" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@QTYO" Precision="7" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="QTYO" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@QTYT" Precision="7" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="QTYT" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@QTYR" Precision="7" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="QTYR" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@WGHT" Precision="7" ProviderType="Decimal" Scale="2" Size="0" SourceColumn="WGHT" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@VOLU" Precision="7" ProviderType="Decimal" Scale="2" Size="0" SourceColumn="VOLU" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Date" Direction="Input" ParameterName="@SDAT" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="SDAT" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@STIL" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="STIL" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@STRN" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="STRN" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Date" Direction="Input" ParameterName="@RDAT" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="RDAT" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@RTIL" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="RTIL" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@RTRN" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="RTRN" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@MOBP" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="MOBP" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@POST" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="POST" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@NAME" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="NAME" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT     ch.NUMB, ch.CUST, ch.DATE1, ch.DELD, ch.CANC, ch.DELI, ch.DELC, ch.AMDT, ch.ADDR1, ch.ADDR2, ch.ADDR3, ch.ADDR4, ch.PHON, ch.PRNT, 
                      ch.RPRN, ch.REVI, ch.MVST, ch.DCST, ch.QTYO, ch.QTYT, ch.QTYR, ch.WGHT, ch.VOLU, ch.SDAT, ch.STIL, ch.STRN, ch.RDAT, ch.RTIL, ch.RTRN, 
                      ch.MOBP, ch.POST, ch.NAME
FROM         CORHDR AS ch INNER JOIN
                      vwCORHDRFull AS vch ON ch.NUMB = vch.NUMB AND vch.SHOW_IN_UI = 1
WHERE     (ch.DELD = @SheetDate) AND (ch.DELC = 0)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="SheetDate" ColumnName="DELD" DataSourceName="Oasys.dbo.CORHDR" DataTypeServer="date" DbType="AnsiString" Direction="Input" ParameterName="@SheetDate" Precision="0" ProviderType="Date" Scale="0" Size="3" SourceColumn="DELD" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE [CORHDR] SET [NUMB] = @NUMB, [CUST] = @CUST, [DATE1] = @DATE1, [DELD] = @DELD, [CANC] = @CANC, [DELI] = @DELI, [DELC] = @DELC, [AMDT] = @AMDT, [ADDR1] = @ADDR1, [ADDR2] = @ADDR2, [ADDR3] = @ADDR3, [ADDR4] = @ADDR4, [PHON] = @PHON, [PRNT] = @PRNT, [RPRN] = @RPRN, [REVI] = @REVI, [MVST] = @MVST, [DCST] = @DCST, [QTYO] = @QTYO, [QTYT] = @QTYT, [QTYR] = @QTYR, [WGHT] = @WGHT, [VOLU] = @VOLU, [SDAT] = @SDAT, [STIL] = @STIL, [STRN] = @STRN, [RDAT] = @RDAT, [RTIL] = @RTIL, [RTRN] = @RTRN, [MOBP] = @MOBP, [POST] = @POST, [NAME] = @NAME WHERE (([NUMB] = @Original_NUMB) AND ((@IsNull_CUST = 1 AND [CUST] IS NULL) OR ([CUST] = @Original_CUST)) AND ((@IsNull_DATE1 = 1 AND [DATE1] IS NULL) OR ([DATE1] = @Original_DATE1)) AND ((@IsNull_DELD = 1 AND [DELD] IS NULL) OR ([DELD] = @Original_DELD)) AND ((@IsNull_CANC = 1 AND [CANC] IS NULL) OR ([CANC] = @Original_CANC)) AND ([DELI] = @Original_DELI) AND ([DELC] = @Original_DELC) AND ((@IsNull_AMDT = 1 AND [AMDT] IS NULL) OR ([AMDT] = @Original_AMDT)) AND ((@IsNull_ADDR1 = 1 AND [ADDR1] IS NULL) OR ([ADDR1] = @Original_ADDR1)) AND ((@IsNull_ADDR2 = 1 AND [ADDR2] IS NULL) OR ([ADDR2] = @Original_ADDR2)) AND ((@IsNull_ADDR3 = 1 AND [ADDR3] IS NULL) OR ([ADDR3] = @Original_ADDR3)) AND ((@IsNull_ADDR4 = 1 AND [ADDR4] IS NULL) OR ([ADDR4] = @Original_ADDR4)) AND ((@IsNull_PHON = 1 AND [PHON] IS NULL) OR ([PHON] = @Original_PHON)) AND ([PRNT] = @Original_PRNT) AND ((@IsNull_RPRN = 1 AND [RPRN] IS NULL) OR ([RPRN] = @Original_RPRN)) AND ((@IsNull_REVI = 1 AND [REVI] IS NULL) OR ([REVI] = @Original_REVI)) AND ((@IsNull_MVST = 1 AND [MVST] IS NULL) OR ([MVST] = @Original_MVST)) AND ((@IsNull_DCST = 1 AND [DCST] IS NULL) OR ([DCST] = @Original_DCST)) AND ((@IsNull_QTYO = 1 AND [QTYO] IS NULL) OR ([QTYO] = @Original_QTYO)) AND ((@IsNull_QTYT = 1 AND [QTYT] IS NULL) OR ([QTYT] = @Original_QTYT)) AND ((@IsNull_QTYR = 1 AND [QTYR] IS NULL) OR ([QTYR] = @Original_QTYR)) AND ((@IsNull_WGHT = 1 AND [WGHT] IS NULL) OR ([WGHT] = @Original_WGHT)) AND ((@IsNull_VOLU = 1 AND [VOLU] IS NULL) OR ([VOLU] = @Original_VOLU)) AND ((@IsNull_SDAT = 1 AND [SDAT] IS NULL) OR ([SDAT] = @Original_SDAT)) AND ((@IsNull_STIL = 1 AND [STIL] IS NULL) OR ([STIL] = @Original_STIL)) AND ((@IsNull_STRN = 1 AND [STRN] IS NULL) OR ([STRN] = @Original_STRN)) AND ((@IsNull_RDAT = 1 AND [RDAT] IS NULL) OR ([RDAT] = @Original_RDAT)) AND ((@IsNull_RTIL = 1 AND [RTIL] IS NULL) OR ([RTIL] = @Original_RTIL)) AND ((@IsNull_RTRN = 1 AND [RTRN] IS NULL) OR ([RTRN] = @Original_RTRN)) AND ((@IsNull_MOBP = 1 AND [MOBP] IS NULL) OR ([MOBP] = @Original_MOBP)) AND ((@IsNull_POST = 1 AND [POST] IS NULL) OR ([POST] = @Original_POST)) AND ((@IsNull_NAME = 1 AND [NAME] IS NULL) OR ([NAME] = @Original_NAME)));
SELECT NUMB, CUST, DATE1, DELD, CANC, DELI, DELC, AMDT, ADDR1, ADDR2, ADDR3, ADDR4, PHON, PRNT, RPRN, REVI, MVST, DCST, QTYO, QTYT, QTYR, WGHT, VOLU, SDAT, STIL, STRN, RDAT, RTIL, RTRN, MOBP, POST, NAME FROM CORHDR WHERE (NUMB = @NUMB)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@NUMB" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="NUMB" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@CUST" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="CUST" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Date" Direction="Input" ParameterName="@DATE1" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="DATE1" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Date" Direction="Input" ParameterName="@DELD" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="DELD" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@CANC" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="CANC" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@DELI" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="DELI" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@DELC" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="DELC" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@AMDT" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="AMDT" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@ADDR1" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="ADDR1" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@ADDR2" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="ADDR2" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@ADDR3" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="ADDR3" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@ADDR4" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="ADDR4" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@PHON" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="PHON" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@PRNT" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="PRNT" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@RPRN" Precision="3" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="RPRN" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@REVI" Precision="3" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="REVI" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@MVST" Precision="9" ProviderType="Decimal" Scale="2" Size="0" SourceColumn="MVST" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@DCST" Precision="9" ProviderType="Decimal" Scale="2" Size="0" SourceColumn="DCST" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@QTYO" Precision="7" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="QTYO" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@QTYT" Precision="7" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="QTYT" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@QTYR" Precision="7" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="QTYR" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@WGHT" Precision="7" ProviderType="Decimal" Scale="2" Size="0" SourceColumn="WGHT" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@VOLU" Precision="7" ProviderType="Decimal" Scale="2" Size="0" SourceColumn="VOLU" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Date" Direction="Input" ParameterName="@SDAT" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="SDAT" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@STIL" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="STIL" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@STRN" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="STRN" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Date" Direction="Input" ParameterName="@RDAT" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="RDAT" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@RTIL" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="RTIL" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@RTRN" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="RTRN" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@MOBP" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="MOBP" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@POST" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="POST" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@NAME" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="NAME" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@Original_NUMB" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="NUMB" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CUST" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CUST" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@Original_CUST" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="CUST" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_DATE1" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="DATE1" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Date" Direction="Input" ParameterName="@Original_DATE1" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="DATE1" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_DELD" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="DELD" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Date" Direction="Input" ParameterName="@Original_DELD" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="DELD" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CANC" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CANC" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@Original_CANC" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="CANC" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Original_DELI" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="DELI" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Original_DELC" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="DELC" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_AMDT" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="AMDT" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@Original_AMDT" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="AMDT" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_ADDR1" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ADDR1" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@Original_ADDR1" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="ADDR1" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_ADDR2" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ADDR2" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@Original_ADDR2" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="ADDR2" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_ADDR3" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ADDR3" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@Original_ADDR3" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="ADDR3" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_ADDR4" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ADDR4" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@Original_ADDR4" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="ADDR4" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_PHON" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="PHON" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@Original_PHON" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="PHON" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Original_PRNT" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="PRNT" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_RPRN" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="RPRN" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Original_RPRN" Precision="3" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="RPRN" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_REVI" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="REVI" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Original_REVI" Precision="3" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="REVI" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_MVST" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="MVST" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Original_MVST" Precision="9" ProviderType="Decimal" Scale="2" Size="0" SourceColumn="MVST" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_DCST" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="DCST" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Original_DCST" Precision="9" ProviderType="Decimal" Scale="2" Size="0" SourceColumn="DCST" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_QTYO" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="QTYO" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Original_QTYO" Precision="7" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="QTYO" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_QTYT" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="QTYT" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Original_QTYT" Precision="7" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="QTYT" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_QTYR" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="QTYR" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Original_QTYR" Precision="7" ProviderType="Decimal" Scale="0" Size="0" SourceColumn="QTYR" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_WGHT" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="WGHT" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Original_WGHT" Precision="7" ProviderType="Decimal" Scale="2" Size="0" SourceColumn="WGHT" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_VOLU" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="VOLU" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Decimal" Direction="Input" ParameterName="@Original_VOLU" Precision="7" ProviderType="Decimal" Scale="2" Size="0" SourceColumn="VOLU" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_SDAT" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="SDAT" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Date" Direction="Input" ParameterName="@Original_SDAT" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="SDAT" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_STIL" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="STIL" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@Original_STIL" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="STIL" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_STRN" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="STRN" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@Original_STRN" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="STRN" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_RDAT" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="RDAT" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Date" Direction="Input" ParameterName="@Original_RDAT" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="RDAT" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_RTIL" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="RTIL" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@Original_RTIL" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="RTIL" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_RTRN" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="RTRN" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@Original_RTRN" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="RTRN" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_MOBP" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="MOBP" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@Original_MOBP" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="MOBP" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_POST" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="POST" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@Original_POST" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="POST" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_NAME" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="NAME" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiStringFixedLength" Direction="Input" ParameterName="@Original_NAME" Precision="0" ProviderType="Char" Scale="0" Size="0" SourceColumn="NAME" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="NUMB" DataSetColumn="NUMB" />
              <Mapping SourceColumn="CUST" DataSetColumn="CUST" />
              <Mapping SourceColumn="DATE1" DataSetColumn="DATE1" />
              <Mapping SourceColumn="DELD" DataSetColumn="DELD" />
              <Mapping SourceColumn="CANC" DataSetColumn="CANC" />
              <Mapping SourceColumn="DELI" DataSetColumn="DELI" />
              <Mapping SourceColumn="DELC" DataSetColumn="DELC" />
              <Mapping SourceColumn="AMDT" DataSetColumn="AMDT" />
              <Mapping SourceColumn="PHON" DataSetColumn="PHON" />
              <Mapping SourceColumn="PRNT" DataSetColumn="PRNT" />
              <Mapping SourceColumn="RPRN" DataSetColumn="RPRN" />
              <Mapping SourceColumn="REVI" DataSetColumn="REVI" />
              <Mapping SourceColumn="MVST" DataSetColumn="MVST" />
              <Mapping SourceColumn="DCST" DataSetColumn="DCST" />
              <Mapping SourceColumn="QTYO" DataSetColumn="QTYO" />
              <Mapping SourceColumn="QTYT" DataSetColumn="QTYT" />
              <Mapping SourceColumn="QTYR" DataSetColumn="QTYR" />
              <Mapping SourceColumn="WGHT" DataSetColumn="WGHT" />
              <Mapping SourceColumn="VOLU" DataSetColumn="VOLU" />
              <Mapping SourceColumn="SDAT" DataSetColumn="SDAT" />
              <Mapping SourceColumn="STIL" DataSetColumn="STIL" />
              <Mapping SourceColumn="STRN" DataSetColumn="STRN" />
              <Mapping SourceColumn="RDAT" DataSetColumn="RDAT" />
              <Mapping SourceColumn="RTIL" DataSetColumn="RTIL" />
              <Mapping SourceColumn="RTRN" DataSetColumn="RTRN" />
              <Mapping SourceColumn="MOBP" DataSetColumn="MOBP" />
              <Mapping SourceColumn="POST" DataSetColumn="POST" />
              <Mapping SourceColumn="NAME" DataSetColumn="NAME" />
              <Mapping SourceColumn="ADDR1" DataSetColumn="ADDR1" />
              <Mapping SourceColumn="ADDR2" DataSetColumn="ADDR2" />
              <Mapping SourceColumn="ADDR3" DataSetColumn="ADDR3" />
              <Mapping SourceColumn="ADDR4" DataSetColumn="ADDR4" />
            </Mappings>
            <Sources>
              <DbSource ConnectionRef="OasysConnectionString (MySettings)" DbObjectName="Oasys.dbo.CORHDR" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="FillWithoutAddressInfo" GenerateMethods="Fill" GenerateShortCommands="true" GeneratorGetMethodName="GetDataBy" GeneratorSourceName="FillWithoutAddressInfo" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetDataBy" UserSourceName="FillWithoutAddressInfo">
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>SELECT     ch.NUMB, ch.CUST, ch.DATE1, ch.DELD, ch.CANC, ch.DELI, ch.DELC, ch.AMDT, ch.PHON, ch.PRNT, ch.RPRN, ch.REVI, ch.MVST, ch.DCST, ch.QTYO, 
                      ch.QTYT, ch.QTYR, ch.WGHT, ch.VOLU, ch.SDAT, ch.STIL, ch.STRN, ch.RDAT, ch.RTIL, ch.RTRN, ch.MOBP, ch.POST, ch.NAME
FROM         CORHDR AS ch INNER JOIN
                      vwCORHDRFull AS vch ON ch.NUMB = vch.NUMB AND vch.SHOW_IN_UI = 1
WHERE     (ch.DELD = @SheetDate) AND (ch.DELC = 0)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="SheetDate" ColumnName="DELD" DataSourceName="Oasys.dbo.CORHDR" DataTypeServer="date" DbType="AnsiString" Direction="Input" ParameterName="@SheetDate" Precision="0" ProviderType="Date" Scale="0" Size="3" SourceColumn="DELD" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </Sources>
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="csDataSet" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msdata:EnforceConstraints="False" msprop:EnableTableAdapterManager="True" msprop:Generator_DataSetName="csDataSet" msprop:Generator_UserDSName="csDataSet">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="CORHDR" msprop:Generator_UserTableName="CORHDR" msprop:Generator_RowEvArgName="CORHDRRowChangeEvent" msprop:Generator_TableVarName="tableCORHDR" msprop:Generator_TablePropName="CORHDR" msprop:Generator_RowDeletingName="CORHDRRowDeleting" msprop:Generator_RowChangingName="CORHDRRowChanging" msprop:Generator_RowDeletedName="CORHDRRowDeleted" msprop:Generator_TableClassName="CORHDRDataTable" msprop:Generator_RowChangedName="CORHDRRowChanged" msprop:Generator_RowEvHandlerName="CORHDRRowChangeEventHandler" msprop:Generator_RowClassName="CORHDRRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="NUMB" msprop:Generator_ColumnVarNameInTable="columnNUMB" msprop:Generator_ColumnPropNameInRow="NUMB" msprop:Generator_ColumnPropNameInTable="NUMBColumn" msprop:Generator_UserColumnName="NUMB">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="6" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="CUST" msprop:Generator_ColumnVarNameInTable="columnCUST" msprop:Generator_ColumnPropNameInRow="CUST" msprop:Generator_ColumnPropNameInTable="CUSTColumn" msprop:Generator_UserColumnName="CUST" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="DATE1" msprop:Generator_ColumnVarNameInTable="columnDATE1" msprop:Generator_ColumnPropNameInRow="DATE1" msprop:Generator_ColumnPropNameInTable="DATE1Column" msprop:Generator_UserColumnName="DATE1" type="xs:dateTime" />
              <xs:element name="DELD" msprop:Generator_ColumnVarNameInTable="columnDELD" msprop:Generator_ColumnPropNameInRow="DELD" msprop:Generator_ColumnPropNameInTable="DELDColumn" msprop:Generator_UserColumnName="DELD" type="xs:dateTime" minOccurs="0" />
              <xs:element name="CANC" msprop:Generator_ColumnVarNameInTable="columnCANC" msprop:Generator_ColumnPropNameInRow="CANC" msprop:Generator_ColumnPropNameInTable="CANCColumn" msprop:Generator_UserColumnName="CANC" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="1" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="DELI" msprop:Generator_ColumnVarNameInTable="columnDELI" msprop:Generator_ColumnPropNameInRow="DELI" msprop:Generator_ColumnPropNameInTable="DELIColumn" msprop:Generator_UserColumnName="DELI" type="xs:boolean" />
              <xs:element name="DELC" msprop:Generator_ColumnVarNameInTable="columnDELC" msprop:Generator_ColumnPropNameInRow="DELC" msprop:Generator_ColumnPropNameInTable="DELCColumn" msprop:Generator_UserColumnName="DELC" type="xs:boolean" />
              <xs:element name="AMDT" msprop:Generator_ColumnVarNameInTable="columnAMDT" msprop:Generator_ColumnPropNameInRow="AMDT" msprop:Generator_ColumnPropNameInTable="AMDTColumn" msprop:Generator_UserColumnName="AMDT" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="3" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="PHON" msprop:Generator_ColumnVarNameInTable="columnPHON" msprop:Generator_ColumnPropNameInRow="PHON" msprop:Generator_ColumnPropNameInTable="PHONColumn" msprop:Generator_UserColumnName="PHON" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="PRNT" msprop:Generator_ColumnVarNameInTable="columnPRNT" msprop:Generator_ColumnPropNameInRow="PRNT" msprop:Generator_ColumnPropNameInTable="PRNTColumn" msprop:Generator_UserColumnName="PRNT" type="xs:boolean" />
              <xs:element name="RPRN" msprop:Generator_ColumnVarNameInTable="columnRPRN" msprop:Generator_ColumnPropNameInRow="RPRN" msprop:Generator_ColumnPropNameInTable="RPRNColumn" msprop:Generator_UserColumnName="RPRN" type="xs:decimal" />
              <xs:element name="REVI" msprop:Generator_ColumnVarNameInTable="columnREVI" msprop:Generator_ColumnPropNameInRow="REVI" msprop:Generator_ColumnPropNameInTable="REVIColumn" msprop:Generator_UserColumnName="REVI" type="xs:decimal" />
              <xs:element name="MVST" msprop:Generator_ColumnVarNameInTable="columnMVST" msprop:Generator_ColumnPropNameInRow="MVST" msprop:Generator_ColumnPropNameInTable="MVSTColumn" msprop:Generator_UserColumnName="MVST" type="xs:decimal" />
              <xs:element name="DCST" msprop:Generator_ColumnVarNameInTable="columnDCST" msprop:Generator_ColumnPropNameInRow="DCST" msprop:Generator_ColumnPropNameInTable="DCSTColumn" msprop:Generator_UserColumnName="DCST" type="xs:decimal" />
              <xs:element name="QTYO" msprop:Generator_ColumnVarNameInTable="columnQTYO" msprop:Generator_ColumnPropNameInRow="QTYO" msprop:Generator_ColumnPropNameInTable="QTYOColumn" msprop:Generator_UserColumnName="QTYO" type="xs:decimal" />
              <xs:element name="QTYT" msprop:Generator_ColumnVarNameInTable="columnQTYT" msprop:Generator_ColumnPropNameInRow="QTYT" msprop:Generator_ColumnPropNameInTable="QTYTColumn" msprop:Generator_UserColumnName="QTYT" type="xs:decimal" />
              <xs:element name="QTYR" msprop:Generator_ColumnVarNameInTable="columnQTYR" msprop:Generator_ColumnPropNameInRow="QTYR" msprop:Generator_ColumnPropNameInTable="QTYRColumn" msprop:Generator_UserColumnName="QTYR" type="xs:decimal" />
              <xs:element name="WGHT" msprop:Generator_ColumnVarNameInTable="columnWGHT" msprop:Generator_ColumnPropNameInRow="WGHT" msprop:Generator_ColumnPropNameInTable="WGHTColumn" msprop:Generator_UserColumnName="WGHT" type="xs:decimal" />
              <xs:element name="VOLU" msprop:Generator_ColumnVarNameInTable="columnVOLU" msprop:Generator_ColumnPropNameInRow="VOLU" msprop:Generator_ColumnPropNameInTable="VOLUColumn" msprop:Generator_UserColumnName="VOLU" type="xs:decimal" />
              <xs:element name="SDAT" msprop:Generator_ColumnVarNameInTable="columnSDAT" msprop:Generator_ColumnPropNameInRow="SDAT" msprop:Generator_ColumnPropNameInTable="SDATColumn" msprop:Generator_UserColumnName="SDAT" type="xs:dateTime" minOccurs="0" />
              <xs:element name="STIL" msprop:Generator_ColumnVarNameInTable="columnSTIL" msprop:Generator_ColumnPropNameInRow="STIL" msprop:Generator_ColumnPropNameInTable="STILColumn" msprop:Generator_UserColumnName="STIL" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="2" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="STRN" msprop:Generator_ColumnVarNameInTable="columnSTRN" msprop:Generator_ColumnPropNameInRow="STRN" msprop:Generator_ColumnPropNameInTable="STRNColumn" msprop:Generator_UserColumnName="STRN" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="4" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="RDAT" msprop:Generator_ColumnVarNameInTable="columnRDAT" msprop:Generator_ColumnPropNameInRow="RDAT" msprop:Generator_ColumnPropNameInTable="RDATColumn" msprop:Generator_UserColumnName="RDAT" type="xs:dateTime" minOccurs="0" />
              <xs:element name="RTIL" msprop:Generator_ColumnVarNameInTable="columnRTIL" msprop:Generator_ColumnPropNameInRow="RTIL" msprop:Generator_ColumnPropNameInTable="RTILColumn" msprop:Generator_UserColumnName="RTIL" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="2" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="RTRN" msprop:Generator_ColumnVarNameInTable="columnRTRN" msprop:Generator_ColumnPropNameInRow="RTRN" msprop:Generator_ColumnPropNameInTable="RTRNColumn" msprop:Generator_UserColumnName="RTRN" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="4" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="MOBP" msprop:Generator_ColumnVarNameInTable="columnMOBP" msprop:Generator_ColumnPropNameInRow="MOBP" msprop:Generator_ColumnPropNameInTable="MOBPColumn" msprop:Generator_UserColumnName="MOBP" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="15" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="POST" msprop:Generator_ColumnVarNameInTable="columnPOST" msprop:Generator_ColumnPropNameInRow="POST" msprop:Generator_ColumnPropNameInTable="POSTColumn" msprop:Generator_UserColumnName="POST" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="8" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="NAME" msprop:Generator_ColumnVarNameInTable="columnNAME" msprop:Generator_ColumnPropNameInRow="NAME" msprop:Generator_ColumnPropNameInTable="NAMEColumn" msprop:Generator_UserColumnName="NAME" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="30" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="ADDR1" msprop:Generator_ColumnVarNameInTable="columnADDR1" msprop:Generator_ColumnPropNameInRow="ADDR1" msprop:Generator_ColumnPropNameInTable="ADDR1Column" msprop:Generator_UserColumnName="ADDR1">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="60" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="ADDR2" msprop:Generator_ColumnVarNameInTable="columnADDR2" msprop:Generator_ColumnPropNameInRow="ADDR2" msprop:Generator_ColumnPropNameInTable="ADDR2Column" msprop:Generator_UserColumnName="ADDR2" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="ADDR3" msprop:Generator_ColumnVarNameInTable="columnADDR3" msprop:Generator_ColumnPropNameInRow="ADDR3" msprop:Generator_ColumnPropNameInTable="ADDR3Column" msprop:Generator_UserColumnName="ADDR3">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="ADDR4" msprop:Generator_ColumnVarNameInTable="columnADDR4" msprop:Generator_ColumnPropNameInRow="ADDR4" msprop:Generator_ColumnPropNameInTable="ADDR4Column" msprop:Generator_UserColumnName="ADDR4" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:CORHDR" />
      <xs:field xpath="mstns:NUMB" />
    </xs:unique>
  </xs:element>
</xs:schema>